/*
 *	DOS.H
 */

# define BUFSIZ 1024
 
struct stat {
	long	 st_size;
	char	 st_mode;
	unsigned st_time,
	         st_date;
};

# define ST_DIR		0x10
# define ST_HIDDEN	   2
# define ST_VOL		   8
# define ST_READONLY	   1
# define ST_DIRTY	0x20



typedef struct direct {
	char d_res_1 [21],
	     d_mode;
	unsigned d_time,
	         d_date;
	long     d_size;
	char d_name [13];
} DIR;

# ifndef TRUE
# define TRUE 1
# define FALSE 0
# define NULL 0
# endif


# define db_out(s) fputs (s, 1)

/*
 *	IOCTL stuff for raw_mode & normode
 */
 
struct ioctlbuf {
	unsigned cmd,
	         handle,
	         cnt,
	         devdata;
};


/*
 *	IOCTL Command Defines
 */
 
# define IOCTL_GET   0x4400
# define IOCTL_SET   0x4401

# define RAW_MODE    0x0020
# define COOKED_MODE 0x00DF

